Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.pattern
Interface NeuralNetworkPattern

All Known Implementing Classes:
  ADALINEPattern, ART1Pattern, BAMPattern, BoltzmannPattern, CPNPattern, ElmanPattern, FeedForwardPattern, HopfieldPattern, JordanPattern, PNNPattern, RadialBasisPattern, SOMPattern, SVMPattern

    public interface NeuralNetworkPattern

Patterns are used to create common sorts of neural networks. Information about the structure of the neural network is communicated to the pattern, and then generate is called to produce a neural network of this type.

Author:
  jheaton

Method Summary
`void` | `addHiddenLayer(int count)` Add the specified hidden layer.
`void` | `clear()` Clear the hidden layers so that they can be redefined.
`MLMethod` | `generate()` Generate the specified neural network.
`void` | `setActivationFunction(ActivationFunction activation)` Set the activation function to be used for all created layers that allow an activation function to be specified.
`void` | `setInputNeurons(int count)` Set the number of input neurons.
`void` | `setOutputNeurons(int count)` Set the number of output neurons.

Method Detail

### addHiddenLayer

    void addHiddenLayer(int count)

  Add the specified hidden layer.

  Parameters:
    `count` - The number of neurons in the hidden layer.

### clear

    void clear()

  Clear the hidden layers so that they can be redefined.

### generate

    MLMethod generate()

  Generate the specified neural network.

  Returns:
    The resulting neural network.

### setActivationFunction

    void setActivationFunction(ActivationFunction activation)

  Set the activation function to be used for all created layers that allow an activation function to be specified. Not all patterns allow the activation function to be specified.

  Parameters:
    `activation` - The activation function.

### setInputNeurons

    void setInputNeurons(int count)

  Set the number of input neurons.

  Parameters:
    `count` - The number of input neurons.

### setOutputNeurons

    void setOutputNeurons(int count)

  Set the number of output neurons.

  Parameters:
    `count` - The output neuron count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.